package com.huimv.eartag2.common.dao.repo;

import com.huimv.eartag2.common.dao.entity.EartagEartagOnlineEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

public interface EartagEartagOnlineRepo extends JpaRepository<EartagEartagOnlineEntity, Integer>, JpaSpecificationExecutor<EartagEartagOnlineEntity> {

    /**
     * @Method      : getOneByEarmarkAndFarmId
     * @Description : 
     * @Params      : [earmark, todayDateText, farmId]
     * @Return      : com.huimv.eartag2.common.dao.entity.EartagEartagOnlineEntity
     * 
     * @Author      : ZhuoNing
     * @Date        : 2022/3/2       
     * @Time        : 16:09
     */
    @Query(nativeQuery = true,value = "SELECT * FROM eartag_eartag_online WHERE earmark=?1 AND DATE_FORMAT(add_date,'%Y-%m-%d')=DATE_FORMAT(?2,'%Y-%m-%d') AND farm_id=?3")
    EartagEartagOnlineEntity getOneByEarmarkAndFarmId(String earmark, String todayDateText, String farmId);
}